Adaugă la favorite Adaugă la favorite    Tipăreşte Tipăreşte

Upgrade de securitate (engine reHLDS) @ 2017

Intrucat dezvoltatorul jocului CS 1.6 (Valve) nu ne-a mai intampinat cu un update de securitate ca raspuns la problemele de securitate pe care le prezinta atat partea de server cat si partea de client de mai multa vreme decat ne putem aminti, comunitatea simpatizanta CS 1.6 impreuna cu mai multi membrii de seama au inceput a dezvolta un nou tip de engine > "reHLDS" ce este construit prin metoda foarte laborioasa "reverse engineering", iar dupa multi ani de dezvoltare - rezolvare bug-uri si alte probleme de securitate proiectul a ajuns la o versiune foarte stabila ce dorim sa vi-o prezentam in liniile ce urmeaza. 


Ultima actualizare de engine la nivel de Krond a fost in anul 2014 > "Upgrade de securitate si performanta (engine HLDS) v6153 @ 2014" - moment la care va prezentam noul engine dar si posibilitatea de a reveni la cel anterior, in anul 2017 insa ... ultimul engine "oficial" Valve va ajunge sa fie din ce in ce mai putin uzitat din pricina problemelor de securitate / stabilitate descoperite de-a lungul (si de-a latul) acestei perioade, de partea noastra am incercat pe cat posibil sa rezolvam problemele de securitate fie prin modificarea engine-ului oficial fie prin aplicarea de filtre in cadrul retelei - insa aceste metode s-au dovedit a fi neeficiente pe termen lung, pe cale de consecinta va rugam sa aveti in vedere urmatoarele modificari pentru a va proteja serverul de joc impotriva atacurilor si a exploit-urilor. 

Upgrade-ul este absolut necesar pentru orice server de joc CS 1.6, nu a fost si nu va fi aplicat automat pe toate serverele de joc gazduite pentru ca nu toate configuratiile sunt compatibile, addons-urile ce se bazeaza pe "orpheu" ori alte module ce analizeaza segmente de cod din engine nu vor rula deloc ori vor avea probleme de runtime - de aceea este necesar sa va alocati timp pentru aceasta actualizare, testele noastre au rezultat ca peste 80% din configuratiile instalate acum pe serverele de joc gazduite in cadrul Krond sunt compatibile fara nici un fel de alte modificari ulterioare, daca NU ati efectuat upgrade-ul la "cs_new" (cel anuntat in 2014 in link-ul de mai sus) atunci va rugam lecturati documentul pentru a va pune la curent cu toate modificarile - sunt sanse MULT mai mari ca o configuratie ce ruleaza acum pe "cs_old" sa NU FUNCTIONEZE pe noul engine.




Procedura upgrade engine de la o versiune anterioara (cs_old sau cs_new)

  1. Autentifica-te in panoul de control, selecteaza serverul de joc si actioneaza butonul "Stop Server"
  2. Click pe "Settings" iar in cadrul parametrului "kversion" adauga "cs_rehlds" si apoi click pe "Save" - serverul va reporni automat, NU actiona butoanele de start/stop/restart pentru cel putin 30 de secunde pentru ca procedura de upgrade sa se incheie cu succes (consulta consola)
  3. Click pe "Updates" si instaleaza "Non-steam patch" - daca doresti ca serverul tau de joc sa fie nonsteam respectiv "Steam-only patch" pentru versiunea ce va accepta doar clienti proveniti din Steam (clienti legitimi)

serverul va porni in cateva momente, daca nu se intampla asta ... consulta consola pentru erori, de asemeni ai in vedere ca poti oricand sa revii la versiunea de engine anterioara (cs_old / cs_new dupa caz) desi acest lucru NU ESTE sub nici o forma recomandat, mai devreme sau mai tarziu oricum vei face acest upgrade pentru ca va fi singura solutie pentru ca serverul tau sa nu mai fie vulnerabil la tot felul de atacuri. 






Daca vrei sa folosesti si ReGameDLL, atunci in loc de "cs_rehlds" adauga "cs_rehlds_regamedll" in parametrul "kversion" din setari, mare atentie insa ... daca NU ai addons-ul facut cu RE-AmxmodX - nu o sa-ti mai porneasca serverul! Daca nu stii ce inseamna ReGameDLL / Re-AmxmodX atunci NU folosi parametrul "cs_rehlds_regamedll", cel standard despre care am mentionat mai sus este arhisuficient pentru securitatea serverului de joc. 



Ţi-a folosit?

Citiţi şi